[COLOR darkgoldenrod]GOD BLESS HIM AND KEEP HIM SAFE.[/COLOR]

[COLOR dodgerblue][B]Version 1.0.63[/B][/COLOR]
- Added "Open Movie Collections Instead When Available" subsetting to Features->"Open Extras When Selecting". If you enable this and the movie you select is part of a collection, then that collection will be displayed, and the movie selected will be highlighted. This will be instead of opening the Extras window. Selecting the movie again from within the collection results will then open the Extras window.
- Removed Test Repository support.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.62[/B][/COLOR]
- Added "belongs_to_collection" listitem property to movie items. Skins can use this to display whether listitem is part of a collection.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.61[/B][/COLOR]
- Quick fix for pagination when using shuffled Trakt personal lists.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.60[/B][/COLOR]
- Couple of changes.
- God Bless him and keep him safe.

[COLOR dodgerblue][B]Version 1.0.59[/B][/COLOR]
- Added "Trakt Lists Manager", "Favorites Manager" and "Browse Recommended" to Movie and TV Show context menus.
- Added "Shufflle Contents Trakt My Lists" and "Shufflle Contents Trakt Liked Lists" to Random Lists->Trakt. Select the wanted list, and it will present the contents shuffled randomly.
- Added "Browse Movie Set" to Movies context menu. Select this to load a browsable list of all movies belonging to the same Movie Set as the currently selected item. This menu will not appear if the currently selected item is not part of a Movie Set.
- Removed Custom Actions from Settings->Features.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.58[/B][/COLOR]
- Added setting Features->Extras->"Default Extras Video Playback Quality". Choose a default quality to play back videos from the Extras menu. Or choose "Choose" to be prompted for quality for each video selected.
- Changes to Easynews image search functionality.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.56/57[/B][/COLOR]
- Adjustments to shuffle trakt lists functionality.
- Fixed caching issue for lists made using FenLight's "Discover" method. Caching will be 48 hours instead of 720 hours.
- Removed setting for "shuffling" the order of Trakt My Lists/Liked Lists. The shuffled lists are now found in Random Lists->Trakt Lists.
- Other changes/fixes.
- 57: Quick fix.

[COLOR dodgerblue][B]Version 1.0.55[/B][/COLOR]
- Added Easynews image search.
- Added ability to bind Fen Light's Extras dialog and Options dialog to specific keys/buttons for quick access. This would be done instead of letting Fen Light replace Kodi's Information and Context Menu dialogs as is currently an option. The command for opening the extras dialog is "RunPlugin(plugin://plugin.video.fenlight/?mode=custom_key_extras_menu_choice)", and the Options dialog is "RunPlugin(plugin://plugin.video.fenlight/?mode=custom_key_options_menu_choice)". Restart Kodi if you add these to a keymap.
- Added Settings->Content->Content->"Control Viewtypes within Addon". If your skin is able (through a helper script) to handle "locking" viewtypes, then this functionality in Fen Light can likely be turned OFF as it may not be needed.
- Adedd Settings->Content->Content->"Shuffle Order of Personal/Liked Trakt Lists" to same settings menu.
- Fixed Trakt lists not loading if there is an instance of type: person within the list.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.54[/B][/COLOR]
- Fixed Random Shortcut Folders with Trakt lists included.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.53[/B][/COLOR]
- Some fixes for random list naming when used as widget.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.52[/B][/COLOR]
YOU WILL LIKELY HAVE TO REMAKE ANY WIDGETS OR SHORTCUT FOLDERS THAT CONTAIN RANDOM ITEMS AFTER THIS UPDATE.
- Re-write of Random list handling.
- Dynamic random list widget naming should be sorted out with this update. It is essential that you read the tip "Handling Random Lists for Dynamic Widget Naming" in Tools->Tips For Use. There is a particular way the widgets must be named if you wish to see the correct list name label on random widgets upon each refresh. It is not essential to do this, but it will enhance the experience of using random widgets.
- Added ability to view changes to new online release before choosing to install. If you manually check for an update, or have the update action set to 'Prompt', then you will have a chance to view the changelog of the new release before installing it. You can also check the changelog of the new release via Tools->Changelog & Log Utils->Check Online Version Changelog. 
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.51[/B][/COLOR]
- Qucik fix for "Play Next" in Extras window.
- Random widget labels will have to wait. Bit bigger job than I thought.

[COLOR dodgerblue][B]Version 1.0.49/50[/B][/COLOR]
- Added ability to assign "Shortcut Folders" as "Random". Using this, you can make the shortcut folder a widget and each refresh of the widget will load a different list from the contents of that shortcut folder. Only movie, tv show, season and episode lists are supported. See Fen Light Tips in the Tools directory for more information.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.48[/B][/COLOR]
- Forgot to mention last update. Changes there will mean you will need to recreate any "Discover" paths you may have made and use.
- Added "Calculate Content Based On" to Content->Next Episodes. Choose "Last Aired" or Last Watched".

[B]"Last Aired" will perform the same as Next Episodes has always performed. It will take the last AIRED episode you have watched and return the next availabe aired episode. "Last Watched" will perform differently. It will take the last WATCHED episode and return the next availabe unwatched episode.[/B]

- Added "Select Source" to Playback Options. Use when autoplay fails to provide the desired file but you don't need to rescrape for sources.
- Hopefully last fixes for watched status issues.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.47[/B][/COLOR]
- Added option to use your own TMDb API key in Settings->Accounts.
- Added option to use your own Trakt Client ID and Client Secret in Settings->Accounts.
- Fixed more watched status issues.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.44/45/46[/B][/COLOR]
- Hopefully fixed Next Episode and sorting issues.
- Fix more issues with watched statuses.

[COLOR dodgerblue][B]Version 1.0.43[/B][/COLOR]
- Re-write of watched progress handling. Should see some speed increase.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.41[/B][/COLOR]
- Added "Rollback to a Previous Version" to Tools. Use this to "rollback" to any version still on the github. Useful if an update is causing issues. I will commit to having at least the previous version available on the github site moving forward.
- Added assignment for "landscape" artwork. Metadata cache will need to be cleared to begin seeing the landscape artwork.
- Added "Random Recommended Movies" and "Random Recommended TV Shows" to the Random Lists section.
- Added context menu listing to delete items in debrid clouds when browsing through My Services.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.40[/B][/COLOR]
- Removed Playback->Utilities->"Remember Previous Successful Resolves". Short-lived. Didn't seem to work for most people for some reason, and broke Fen Light when it didn't work. I wasn't that enamoured with the feature in the first place, so better to remove it. The same functionality can already be achieved with a couple of settings.

[COLOR dodgerblue][B]Version 1.0.39[/B][/COLOR]
- Added settings for Trakt Calendar in Settings->Navigation. Choose previous/future days and sort order.

[COLOR dodgerblue][B]Version 1.0.38[/B][/COLOR]
- Added settings for maximum size for Movies or Episodes. Changed from a single setting for both. Found at Results->Sorting & Filtering.
- Added Playback->Utilities->"Remember Previous Successful Resolves". Enable this and Fen Light will remember the last successful resolve for a Movie or TV Show and sort it to the top of the results list. The highlight color can be set in Results->Results Color Highlights when the setting is enabled.
- Neutralized activation code colors when authorizing debrid providers or Trakt so as to assist colorblind people in seeing the code.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.36/37[/B][/COLOR]
- Couple of quick fixes.

[COLOR dodgerblue][B]Version 1.0.35[/B][/COLOR]
- Added "Sort Type" and "Sort Order" and "Include Airdate in Title" to Next Episode settings.
- Added "Next Episode Alert Method" setting to Autoplay Next Episode Settings. Choose between "Window" and "Notification".
- Added "Autoscrape Next Episode" to Episode playback settings. Notification will show when next episode sources are found and are ready to choose from.
- Fixed scrolling issue in select dialog. List items will scroll when highlighted.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.34[/B][/COLOR]
- Quick fix for Extra Info in Extras window.

[COLOR dodgerblue][B]Version 1.0.33[/B][/COLOR]
- Added Kodi version check to startup services.
- Added Choice of method for filtering results by size. Choose between Off, Line Speed or Max Filesize. You can also now set a minimum size.
- Added a history for Trakt list searches.
- Fixed incorrect episode size estimates on certain results.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.32[/B][/COLOR]
- Added Settings->Navigation->Next Episodes->"Sort Airing Today to Top" for Next Episodes list. Will sort any episodes airing that day to the top of the list.
- Changed default focused button on Next Episode notification dialog to "Play".
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.31[/B][/COLOR]
- Added Kodi version check to startup services.
- Added "Released Only" to Discover options for Movies/TV Shows.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.30[/B][/COLOR]
- Added Settings->Navigation->"Include Adult Results from Media Searches". Defaults to DISABLED.
- Removed "Autoscrape Next Episode".
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.25[/B][/COLOR]
- Some changes/fixes.

[COLOR dodgerblue][B]Version 1.0.24[/B][/COLOR]
- Fixed broken cache clearing of debrid accounts.
- Added "episode type" support to Next Episode dialog.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.23[/B][/COLOR]
- Fixed "Providers" menu for movies.
- Added episode type support for Jurial skins. Currently only Arctic Fuse. Users should thank Jurial for adding this feature to his skin. He has a donation link where you can throw him some money and love. Users will need to clear metadata in Tools->Database & Cache Maintenance->Clear Meta Cache.
- Added Media Images content for Fen Light Extras dialog. Just a list featuring the media's Poster, Fanart & Clearlogo. Will need to be enabled on current installs.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.22[/B][/COLOR]
- Added "Most Favorited" to Movies and TV Shows menu. Invoke context menu on Movie & TV Show menu item and select "Check for New Menu Items" and then place where desired. Alternately, select "Restore Menu" to reload the default menu items, which will now include the new menu item.
- Quick fix for CAM, TELE, SCR results not showing when result highlights are based on quality.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.21[/B][/COLOR]
- Added detection of when user changes skin font, so custom xmls can be remade.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.20[/B][/COLOR]
- Added "Trakt Favorites" to My Lists. Trakt gives users the ability to mark media as a "favorite" on their website. Trakt claims that the media that has been marked as favorites from other Trakt users that you follow will determine the Recommendations they supply to you. So for Trakt Recommendations to work correctly you need to follow other Trakt users that have a similar taste in media to you, and have also set a decent amount of their own favorites.
- Adjustments to Trakt sync values due to looking into the Trakt favorites lists.
- Fixed some post-results filtering.

[COLOR dodgerblue][B]Version 1.0.19[/B][/COLOR]
- Added "Providers" menu items for Movies and TV Shows. For TV Shows, you will need to navigate into TV Shows and select "Check for New Menu Items" from the context menu. Then you can add the new "Providers" menu item to your TV Show list. If that does not work, you will need to instead select "Restore Menu". For Movies, the "Providers" menu item is replacing the "Networks" menu item. So you will need to either remove the "Networks" menu item and add the Providers menu item the same way as for TV Shows, or you can simply select "Restore Menu" and that will happen automatically.
- Added "Discover" menu item to Main Menu. Here you can make your own custom lists using filters. Browse them from the Discover menu, or add them to any of Fen Light's main menus by using the menu editor. To see the new Discover menu item, follow the steps from above, except from the Main Menu.
- Added Settings->General->Manage Addon Updates-> "Use Test Repository for Updates". There is now a test repository, and enablng this setting will allow Fen Light to update from the test repository. THIS IS NOT ADVISED, as the builds within the test repo may not be stable.
- Improved resolving accuracy with RD sources.
- Quick fix for rounding down of small TV Show progress floats.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.18[/B][/COLOR]
- Added Info for all settings within Fen Light. Found at the bottom of the settings window when browsing the settings.
- Re-added "Autostart Fen Light when Kodi Starts" to Settings->General. Removed temporarily whilst database issues were being resolved.
- Re-added "Check for Corrupt databases" to Tools->Database & Cache Maintenance. Removed temporarily whilst database issues were being resolved.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.17[/B][/COLOR]
- Fixed nasty little bug slowing down all single episode lists.
- Added "Hide Watched Items in Widgets" to Navigation->Widgets.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.15[/B][/COLOR]
- Attempt to fix database issues.
- Slight rework of entering numeric settings when negative numbers possible.
- Moved update settings to General tab.
- Changed default values for update action and update delay. Update Action default now "Notification". Update Delay now "45" seconds. This will only affect new installs of course.
- Changes some custom window animations to fit better with  Fentastic skin.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.12/13/14[/B][/COLOR]
- Added new startup updater to run on Kodi start.
- 2 settings for startup updater in Manage Updates->Startup Update:
        
"Delay Before Running": Choose time in seconds to delay the service after Kodi starts. Defaults to 90 secs. Best not to set this too low.
        
"Update Action": Set this to one of the following. Defaults to Prompt:
                "Prompt": Confirm dialog appears when update available,
                "Automatic": Update without user interaction,
                "Notification": Alert the user of an update with a notification,
                "Off": No update performed or dialog/notification displayed.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.10/11[/B][/COLOR]
- Test of new update system.

[COLOR dodgerblue][B]Version 1.0.09[/B][/COLOR]
- Added updating ability within the addon. Tools->"Check for Updates" will make Fen Light check online for an update for itself. If found, you can choose to install the update. This replaces Kodi's repository and addon management system. If all goes well, I will add an automatic update check on each Kodi start.
- Added "Single Episode Display Format" setting in Navigation->Content. There is a setting for format within Fen Light, and one for Widgets.

[COLOR dodgerblue][B]Version 1.0.05[/B][/COLOR]
- Partial re-write of database handling.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 1.0.04[/B][/COLOR]
- Quick compatability fix for FENtastic skin.

[COLOR dodgerblue][B]Version 1.0.03[/B][/COLOR]
- Added option to see unaired episodes in Next Episodes.
- Added functionality to assist in FENtastic skin integration.

[COLOR dodgerblue][B]Version 1.0.01[/B][/COLOR]
- Adjusted some meta list items so as to make them more uniform.
- Other changes/fixes.


[COLOR dodgerblue][B]Version 1.0.0[/B][/COLOR]
- Initial Release
- This is an English language only addon.






++
